const _Http = getApp().globalData.http;
Component({
    options: {
        addGlobalClass: true
    },
    properties: {
        list: {
            type: Array
        },
        changeTotal: {
            type: Function
        },
        disabled: {
            type: Boolean
        },
        enterprisename: {
            type: String
        },
        sys_enterpriseid: {
            type: String
        },
        sa_customersid: {
            type: String
        },
        groupname: {
            type: String,
            value: "客户联系人"
        },
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
        }
    },
    methods: {
        handleItem(e) {
            const {
                name,
                item
            } = e.target.dataset,
                that = this;
            switch (name) {
                case "call":
                    wx.makePhoneCall({
                        phoneNumber: item.phonenumber,
                    })
                    break;
                case "delete":
                    wx.showModal({
                        title: getApp().globalData.Language.getMapText('提示'),
                        content: getApp().globalData.Language.getMapText('是否确认删除') + `"${item.name}"`,
                        cancelText: getApp().globalData.Language.getMapText('取消'),
                        confirmText: getApp().globalData.Language.getMapText('确定'),
                        complete: (res) => {
                            if (res.confirm) _Http.basic({
                                "id": "20221018145502",
                                "content": {
                                    "contactsid": item.contactsid,
                                    "sys_enterpriseid": item.sys_enterpriseid
                                }
                            }).then(res => {
                                console.log("删除联系人", res)
                                if (res.code != '1') return wx.showToast({
                                    title: res.data,
                                    icon: "none"
                                });
                                that.triggerEvent("changeTotal")
                                wx.showToast({
                                    title: getApp().globalData.Language.getMapText('删除成功') + '！',
                                    icon: "none"
                                })
                                getCurrentPages().forEach(v => {
                                    if (v.__route__ == "packageA/setclient/detail" || v.__route__ == "packageA/opponent/detail" || v.__route__ == "packageA/publicCustomer/detail") {
                                        let model = v.selectComponent("#Contacts");
                                        model.setData({
                                            list: model.data.list.filter(value => value.contactsid != item.contactsid)
                                        });
                                        // model.changeTotal();
                                    } else if (v.__route__ == "packageA/setclient/modules/contacts/search/index") {
                                        v.setData({
                                            list: v.data.list.filter(value => value.contactsid != item.contactsid)
                                        });
                                    } else if (v.__route__ == "packageA/setclient/modules/contacts/detail/index") {
                                        wx.navigateBack()
                                    } else if (v.__route__ == "packageA/publicCustomer/detail" || v.__route__ == "packageA/setclient/detail") {
                                        v.getDetail()
                                    }
                                })
                            })
                        }
                    })
                    break;
                case "edit":
                    wx.navigateTo({
                        url: `/packageA/setclient/modules/contacts/add/index?data=${JSON.stringify(item)}&enterprisename=${this.data.enterprisename}&sa_customersid=${this.data.sa_customersid}&sys_enterpriseid=${this.data.sys_enterpriseid}&contactsid=${item.contactsid}`
                    })
                    break;
            }
        },
    }
})